GetCampaign |WebMethod|
Gets information about a campaign.
Parameters- campaignId, The id of the campaign to retrieve information about.
ReturnsInformation about the campaign (see CampaignData ). Only includes the URL to the banner, not the image data.
SOAP 1.1
The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.
POST /v3/restrictedservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: "http://api.tradera.com/GetCampaign"
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap:Header>
<AuthenticationHeader xmlns="http://api.tradera.com">
<AppId>int</AppId>
<AppKey>string</AppKey>
</AuthenticationHeader>
<AuthorizationHeader xmlns="http://api.tradera.com">
<UserId>int</UserId>
<Token>string</Token>
</AuthorizationHeader>
<ConfigurationHeader xmlns="http://api.tradera.com">
<Sandbox>int</Sandbox>
<MaxResultAge>int</MaxResultAge>
</ConfigurationHeader>
</soap:Header>
<soap:Body>
<GetCampaign xmlns="http://api.tradera.com">
<campaignId>int</campaignId>
</GetCampaign>
</soap:Body>
</soap:Envelope>
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap:Body>
<GetCampaignResponse xmlns="http://api.tradera.com">
<GetCampaignResult>
<Id>int</Id>
<Name>string</Name>
<UrlName>string</UrlName>
<Type>Product or Graphical</Type>
<StartDate>dateTime</StartDate>
<EndDate>dateTime</EndDate>
<AuctionIDs>int</AuctionIDs>
<AuctionIDs>int</AuctionIDs>
<CampaignImage>
<Format>Gif or Jpeg or Png</Format>
<Data>base64Binary</Data>
</CampaignImage>
<ImageUrl>string</ImageUrl>
</GetCampaignResult>
</GetCampaignResponse>
</soap:Body>
</soap:Envelope>
SOAP 1.2
The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.
POST /v3/restrictedservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
<soap12:Header>
<AuthenticationHeader xmlns="http://api.tradera.com">
<AppId>int</AppId>
<AppKey>string</AppKey>
</AuthenticationHeader>
<AuthorizationHeader xmlns="http://api.tradera.com">
<UserId>int</UserId>
<Token>string</Token>
</AuthorizationHeader>
<ConfigurationHeader xmlns="http://api.tradera.com">
<Sandbox>int</Sandbox>
<MaxResultAge>int</MaxResultAge>
</ConfigurationHeader>
</soap12:Header>
<soap12:Body>
<GetCampaign xmlns="http://api.tradera.com">
<campaignId>int</campaignId>
</GetCampaign>
</soap12:Body>
</soap12:Envelope>
HTTP/1.1 200 OK
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
<soap12:Body>
<GetCampaignResponse xmlns="http://api.tradera.com">
<GetCampaignResult>
<Id>int</Id>
<Name>string</Name>
<UrlName>string</UrlName>
<Type>Product or Graphical</Type>
<StartDate>dateTime</StartDate>
<EndDate>dateTime</EndDate>
<AuctionIDs>int</AuctionIDs>
<AuctionIDs>int</AuctionIDs>
<CampaignImage>
<Format>Gif or Jpeg or Png</Format>
<Data>base64Binary</Data>
</CampaignImage>
<ImageUrl>string</ImageUrl>
</GetCampaignResult>
</GetCampaignResponse>
</soap12:Body>
</soap12:Envelope>
HTTP GET
The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.
GET /v3/restrictedservice.asmx/GetCampaign?campaignId=string HTTP/1.1
Host: api.tradera.com
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<CampaignData xmlns="http://api.tradera.com">
<Id>int</Id>
<Name>string</Name>
<UrlName>string</UrlName>
<Type>Product or Graphical</Type>
<StartDate>dateTime</StartDate>
<EndDate>dateTime</EndDate>
<AuctionIDs>int</AuctionIDs>
<AuctionIDs>int</AuctionIDs>
<CampaignImage>
<Format>Gif or Jpeg or Png</Format>
<Data>base64Binary</Data>
</CampaignImage>
<ImageUrl>string</ImageUrl>
</CampaignData>
HTTP POST
The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.
POST /v3/restrictedservice.asmx/GetCampaign HTTP/1.1
Host: api.tradera.com
Content-Type: application/x-www-form-urlencoded
Content-Length: length
campaignId=string
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<CampaignData xmlns="http://api.tradera.com">
<Id>int</Id>
<Name>string</Name>
<UrlName>string</UrlName>
<Type>Product or Graphical</Type>
<StartDate>dateTime</StartDate>
<EndDate>dateTime</EndDate>
<AuctionIDs>int</AuctionIDs>
<AuctionIDs>int</AuctionIDs>
<CampaignImage>
<Format>Gif or Jpeg or Png</Format>
<Data>base64Binary</Data>
</CampaignImage>
<ImageUrl>string</ImageUrl>
</CampaignData>